use bevy::{input::system::exit_on_esc_system, prelude::*};
use bevy_rapier3d::physics::RapierPhysicsPlugin;
use rake::{hud::HudPlugin, player::PlayerPlugin, weapon::WeaponPlugin, world::WorldPlugin};

fn main() {
  App::build()
    .insert_resource(WindowDescriptor {
      title: "Rake".to_string(),
      width: 960.,
      height: 540.,
      ..Default::default()
    })
    .add_plugins(DefaultPlugins)
    .add_plugin(RapierPhysicsPlugin)
    // note: debug renderer doesnt work for cylinder
    //.add_plugin(RapierRenderPlugin)
    .add_plugin(PlayerPlugin)
    .add_plugin(HudPlugin)
    .add_plugin(WorldPlugin)
    .add_plugin(WeaponPlugin)
    .add_system(exit_on_esc_system.system())
    .run();
}
